export declare enum FeatureOutputType {
    /** JS/JSON array output. */
    JS = 0,
    /** XML-like output for AngularJS. */
    AngularJS = 1
}
export declare class GridHelper {
    /** Request features to add inherit option for hierarchical grid */
    hierarchical: boolean;
    /** Apply feature settings for igTreeGrid - add inherit, paging and selection specifics */
    tree: boolean;
    /** Output type to render */
    outputType: FeatureOutputType;
    /** Indent space used for formatting output */
    space: string;
    private features;
    private featureProps;
    private treeGridFeatureProps;
    /**
     * Creates a new grid feature helper
     */
    constructor();
    generateFeatures(gridFeatures: string[], pad?: number): string;
    addFeature(name: any, overrideOptions?: any): void;
    updateFeature(name: any, overrideOptions: any): void;
    /**
     * Returns and object like `{name: "feature"}` with any other default properties
     * @param name Feature name
     */
    private getFeature;
    private generateXML;
}
