import { AddTemplateArgs, ControlExtraConfiguration, Template } from "@igniteui/cli-core";
/**
 * Template with specific implementation for jQuery projects
 */
export declare class jQueryTemplate implements Template {
    private rootPath;
    components: string[];
    controlGroup: string;
    listInComponentTemplates: boolean;
    listInCustomTemplates: boolean;
    id: string;
    name: string;
    description: string;
    dependencies: string[];
    framework: string;
    projectType: string;
    hasExtraConfiguration: boolean;
    packages: any[];
    delimiters: import("@igniteui/cli-core").TemplateDelimiters;
    private configFile;
    private replacePattern;
    constructor(rootPath: string);
    get templatePaths(): string[];
    generateConfig(name: string, options: {}): {
        [key: string]: any;
    };
    /**
     * Add a view to the project config to be listed in index page
     * @param projectPath
     * @param name The name of the view
     */
    registerInProject(projectPath: string, name: string, options?: AddTemplateArgs): void;
    getExtraConfiguration(): ControlExtraConfiguration[];
    setExtraConfiguration(extraConfigKeys: {}): void;
    protected getJqueryDependenciesScriptTag(): string;
    protected getScriptTags(): string;
    protected getNavigationScript(): string;
    protected getCssTags(): string;
    protected folderName(pathName: string): string;
    protected getViewLink(pathName: string): string;
}
