"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
// tslint:disable:no-implicit-dependencies
const schematics_1 = require("@angular-devkit/schematics");
// tslint:disable-next-line:no-submodule-imports
const testing_1 = require("@angular-devkit/schematics/testing");
describe("Update 13.1.0", () => {
    let appTree;
    const schematicRunner = new testing_1.SchematicTestRunner("ig-migrate", path.join(__dirname, "../migration-collection.json"));
    beforeEach(() => {
        appTree = new testing_1.UnitTestTree(new schematics_1.EmptyTree());
    });
    it("change projectType to legacy", (done) => __awaiter(void 0, void 0, void 0, function* () {
        appTree.create("./ignite-ui-cli.json", `{
  "igPackageRegistry": "https://packages.infragistics.com/npm/js-licensed/",
  "customTemplates": [],
  "skipGit": false,
  "skipAnalytic": false,
  "version": "13.0.1",
  "project": {
    "defaultPort": 4200,
    "framework": "angular",
    "projectType": "igx-ts",
    "projectTemplate": "side-nav",
    "theme": "Default",
    "themePath": "node_modules/igniteui-angular/styles/igniteui-angular.css",
    "isBundle": false,
    "bundleFilePath": "",
    "igniteuiSource": "",
    "components": [],
    "sourceFiles": [],
    "isShowcase": false,
    "version": ""
  },
  "build": {}
}`);
        const tree = yield schematicRunner.runSchematicAsync("migration-07", { applyMigrations: true }, appTree).toPromise();
        expect(tree.readContent("./ignite-ui-cli.json"))
            .toEqual(`{
  "igPackageRegistry": "https://packages.infragistics.com/npm/js-licensed/",
  "customTemplates": [],
  "skipGit": false,
  "skipAnalytic": false,
  "version": "13.0.1",
  "project": {
    "defaultPort": 4200,
    "framework": "angular",
    "projectType": "igx-ts-legacy",
    "projectTemplate": "side-nav",
    "theme": "Default",
    "themePath": "node_modules/igniteui-angular/styles/igniteui-angular.css",
    "isBundle": false,
    "bundleFilePath": "",
    "igniteuiSource": "",
    "components": [],
    "sourceFiles": [],
    "isShowcase": false,
    "version": ""
  },
  "build": {}
}`);
        done();
    }));
});
