"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:no-implicit-dependencies
const core_1 = require("@angular-devkit/core");
const cli_core_1 = require("@igniteui/cli-core");
const summaryEarliestAssignment = `summaryResult: (IgxDateSummaryOperand.earliest(data)).toLocaleDateString()`;
const summaryEarliestReplacement = `summaryResult: data.length ? (IgxDateSummaryOperand.earliest(data)).toLocaleDateString() : null`;
const summaryLatestAssignment = `summaryResult: (IgxDateSummaryOperand.latest(data)).toLocaleDateString()`;
const summaryLatestReplacement = `summaryResult: data.length ? (IgxDateSummaryOperand.latest(data)).toLocaleDateString() : null`;
function default_1() {
    return (tree, context) => __awaiter(this, void 0, void 0, function* () {
        const { workspace } = yield core_1.workspaces.readWorkspace("/", (0, cli_core_1.createWorkspaceHost)(tree));
        const project = workspace.extensions.defaultProject ?
            workspace.projects.get(workspace.extensions.defaultProject) :
            workspace.projects.values().next().value;
        const sourceDir = tree.getDir(project.sourceRoot || "./src");
        const ext = ".ts";
        context.logger.info(`Applying migration for Ignite UI CLI 3.2.0 related to custom IgxSummaryOperand.`);
        context.logger.info(`See https://github.com/IgniteUI/igniteui-angular/issues/3414`);
        sourceDir.visit((path, entry) => {
            if (path.endsWith(ext)) {
                let content = entry.content.toString();
                if (content.indexOf(summaryEarliestAssignment) !== -1) {
                    content = content.replace(summaryEarliestAssignment, summaryEarliestReplacement);
                    tree.overwrite(path, content);
                }
                if (content.indexOf(summaryLatestAssignment) !== -1) {
                    content = content.replace(summaryLatestAssignment, summaryLatestReplacement);
                    tree.overwrite(path, content);
                }
            }
        });
    });
}
exports.default = default_1;
