"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:no-implicit-dependencies
const core_1 = require("@angular-devkit/core");
const cli_core_1 = require("@igniteui/cli-core");
const awesomeGridPaginatorStyle = `  .igx-paginator>* {`;
const paginatorStyleReplacement = `  .igx-paginator {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.3125rem 0;
  }

  .igx-paginator>* {`;
function default_1() {
    return (tree, context) => __awaiter(this, void 0, void 0, function* () {
        const { workspace } = yield core_1.workspaces.readWorkspace("/", (0, cli_core_1.createWorkspaceHost)(tree));
        const project = workspace.extensions.defaultProject ?
            workspace.projects.get(workspace.extensions.defaultProject) :
            workspace.projects.values().next().value;
        const sourceDir = tree.getDir(project.sourceRoot || "./src");
        const ext = ".scss";
        context.logger.info(`Applying migration for Ignite UI CLI 4.2.3.`);
        sourceDir.visit((path, entry) => {
            if (path.endsWith(ext)) {
                let content = entry.content.toString();
                if (content.indexOf(awesomeGridPaginatorStyle) !== -1) {
                    content = content.replace(awesomeGridPaginatorStyle, paginatorStyleReplacement);
                    tree.overwrite(path, content);
                }
            }
        });
    });
}
exports.default = default_1;
