"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
// tslint:disable:no-implicit-dependencies
const schematics_1 = require("@angular-devkit/schematics");
// tslint:disable-next-line:no-submodule-imports
const testing_1 = require("@angular-devkit/schematics/testing");
describe("Update 5.0.0", () => {
    let appTree;
    const schematicRunner = new testing_1.SchematicTestRunner("ig-migrate", path.join(__dirname, "../migration-collection.json"));
    const configJson = {
        defaultProject: "testProj",
        projects: {
            testProj: {
                prefix: "app",
                sourceRoot: "src"
            }
        },
        version: 1
    };
    beforeEach(() => {
        appTree = new testing_1.UnitTestTree(new schematics_1.EmptyTree());
        appTree.create("/angular.json", JSON.stringify(configJson));
        appTree.create("/.editorconfig", `
[*]
indent_style = space
indent_size = 2
`);
    });
    it("should add HammerModule", (done) => __awaiter(void 0, void 0, void 0, function* () {
        const indexFile = "/src/app/app.module.ts";
        appTree.create(indexFile, `import { BrowserModule } from '@angular/platform-browser';
@NgModule({
  imports: [
    FormsModule,
    BrowserModule
  ]
})
export class AppModule {
}
`);
        yield schematicRunner.runSchematicAsync("migration-05", {}, appTree).toPromise();
        expect(appTree.readContent(indexFile).replace(/\r\n/g, "\n"))
            .toEqual(`import { BrowserModule, HammerModule } from '@angular/platform-browser';
@NgModule({
  imports: [
    FormsModule,
    BrowserModule,
    HammerModule
  ]
})
export class AppModule {
}
`.replace(/\r\n/g, "\n"));
        done();
    }));
});
