"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:no-implicit-dependencies
const core_1 = require("@angular-devkit/core");
const cli_core_1 = require("@igniteui/cli-core");
function default_1() {
    return (tree, context) => __awaiter(this, void 0, void 0, function* () {
        const { workspace } = yield core_1.workspaces.readWorkspace("/", (0, cli_core_1.createWorkspaceHost)(tree));
        const project = workspace.extensions.defaultProject ?
            workspace.projects.get(workspace.extensions.defaultProject) :
            workspace.projects.values().next().value;
        const errorService = `${project.sourceRoot}/${project.prefix}/error-routing/error/global-error-handler.service.ts`;
        context.logger.info(`Applying migration for Ignite UI CLI 5.0.3`);
        if (tree.exists(errorService)) {
            let fileContents = tree.read(errorService).toString();
            fileContents = fileContents.replace("throw error;", "console.error(error);");
            tree.overwrite(errorService, fileContents);
        }
    });
}
exports.default = default_1;
