"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GridHelper_1 = require("../../../../../lib/project-utility/GridHelper");
const AngularTemplate_1 = require("../../../../../lib/templates/AngularTemplate");
class GridEditingTemplate extends AngularTemplate_1.AngularTemplate {
    constructor() {
        super(__dirname);
        this.userExtraConfiguration = {};
        this.id = "grid-editing";
        this.name = "Grid Editing";
        this.widget = "igGrid";
        this.controlGroup = "Data Grids";
        this.description = "igGrid editing template for Angular";
        this.dependencies = ["igGrid"];
        this.projectType = "ig-ts";
        this.extraConfigurations = [];
        this.hasExtraConfiguration = true;
        this.listInComponentTemplates = true;
        this.gridHelper = new GridHelper_1.GridHelper();
        const featureConfiguration = {
            choices: ["Sorting", "Filtering"],
            default: "",
            key: "features",
            message: "Select features for the igGrid",
            type: 1 /* ControlExtraConfigType.MultiChoice */
        };
        this.extraConfigurations.push(featureConfiguration);
    }
    setExtraConfiguration(extraConfigKeys) {
        this.userExtraConfiguration = extraConfigKeys;
    }
    generateConfig(name, ...options) {
        this.gridHelper.addFeature("Updating");
        const features = this.gridHelper.generateFeatures(this.userExtraConfiguration["features"], 3);
        const config = { gridFeatures: features };
        return super.generateConfig(name, { extraConfig: config });
    }
    getExtraConfiguration() {
        return this.extraConfigurations;
    }
}
module.exports = new GridEditingTemplate();
