"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseIgrProject = void 0;
const cli_core_1 = require("@igniteui/cli-core");
const path = require("path");
class BaseIgrProject {
    constructor() {
        this.id = "base";
        this.name = "base";
        this.description = "Ignite UI CLI project for React";
        this.framework = "react";
        this.projectType = "jsx";
        this.hasExtraConfiguration = false;
        this.delimiters = cli_core_1.defaultDelimiters;
    }
    get templatePaths() {
        return [path.join(__dirname, "files")];
    }
    generateConfig(name, theme, ...options) {
        return this.getVariablesConfig(name, theme);
    }
    installModules() {
        throw new Error("Method not implemented.");
    }
    upgradeIgniteUIPackages(projectPath, packagePath) {
        return __awaiter(this, void 0, void 0, function* () {
            throw new Error("Method not implemented.");
        });
    }
    getExtraConfiguration() {
        throw new Error("Method not implemented.");
    }
    setExtraConfiguration(extraConfigKeys) {
        throw new Error("Method not implemented.");
    }
    getVariablesConfig(name, theme) {
        return {
            name,
            theme,
            "cliVersion": cli_core_1.Util.version(),
            "dash-name": cli_core_1.Util.lowerDashed(name),
            "description": this.description,
            "dot": ".",
            "path": name,
            "projectTemplate": this.id
        };
    }
}
exports.BaseIgrProject = BaseIgrProject;
