"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseIgcProject = void 0;
const cli_core_1 = require("@igniteui/cli-core");
const path = require("path");
class BaseIgcProject {
    constructor() {
        this.id = "base";
        this.name = "base";
        this.description = "Empty project layout structure for Ignite UI for Web Components";
        this.dependencies = [];
        this.framework = "webcomponents";
        this.projectType = "igc-ts";
        this.hasExtraConfiguration = false;
        this.delimiters = cli_core_1.defaultDelimiters;
    }
    get templatePaths() {
        return [path.join(__dirname, "files")];
    }
    installModules() {
        throw new Error("Method not implemented.");
    }
    upgradeIgniteUIPackages(projectPath, packagePath) {
        return __awaiter(this, void 0, void 0, function* () {
            return (0, cli_core_1.updateWorkspace)(projectPath);
        });
    }
    getExtraConfiguration() {
        return [];
    }
    setExtraConfiguration(extraConfigKeys) { }
    generateConfig(name, theme, ...options) {
        const config = {
            name,
            theme,
            cliVersion: cli_core_1.Util.version(),
            CustomTheme: "",
            dashName: cli_core_1.Util.lowerDashed(name),
            DefaultTheme: "",
            dot: ".",
            path: name,
            projectTemplate: this.id,
            yamlDefaultBranch: this.id === "base" ? "<%=yaml-default-branch%>" : "main"
        };
        return config;
    }
}
exports.BaseIgcProject = BaseIgcProject;
